System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.EventArgs

Typically, component information does not change for the life of a process. During design time, however, you can change the component's properties or events. As a result, the component's information in becomes out-of-date, and a event is raised. A event is also raised when a is changed during design time.

A object specifies the data associated with the event; that is, the component and the type of component that changed.

The class provides and properties to get the component or type that raised the event.

Provides data for the event.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class with the component that has changed.

  The component that changed.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class with the type of component that has changed.

  The that changed.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object To be added: an object of type 'object' To be added

  Gets the component that changed its properties, events, or extenders.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type To be added: an object of type 'Type' To be added

  Gets the that changed its properties or events.